-- phpMyAdmin SQL Dump
-- version 3.3.7deb7
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Erstellungszeit: 11. September 2012 um 12:50
-- Server Version: 5.1.63
-- PHP-Version: 5.3.3-7+squeeze14

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Datenbank: `getraenke`
--

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `artikel`
--

DROP TABLE IF EXISTS `artikel`;
CREATE TABLE IF NOT EXISTS `artikel` (
  `pKey` smallint(11) unsigned NOT NULL AUTO_INCREMENT,
  `Name` varchar(80) COLLATE utf8_roman_ci NOT NULL,
  `Verpackung` enum('Glasflasche','Plastikflasche','Kanne','Tasse','Nicht anwendbar') COLLATE utf8_roman_ci NOT NULL DEFAULT 'Plastikflasche',
  `Bild` mediumblob,
  `Bild-Name` varchar(250) COLLATE utf8_roman_ci DEFAULT NULL,
  `GTIN` varchar(14) COLLATE utf8_roman_ci NOT NULL,
  `Aktiv` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'Y',
  `Buchbar` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'Y',
  `Sichtbar_in_Listen` enum('Y','N') COLLATE utf8_roman_ci DEFAULT NULL,
  `Ranking` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Created` datetime NOT NULL,
  `Changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`pKey`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=32 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `barkasse_buchungen`
--

DROP TABLE IF EXISTS `barkasse_buchungen`;
CREATE TABLE IF NOT EXISTS `barkasse_buchungen` (
  `pKey` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Buchungsgruppe` varchar(60) COLLATE utf8_roman_ci NOT NULL,
  `Buchungsdatum` date NOT NULL,
  `Benutzer_pKey` smallint(5) unsigned DEFAULT NULL,
  `Artikel_pKey` int(10) unsigned NOT NULL,
  `Artikel_Anzahl` int(11) NOT NULL DEFAULT '1',
  `Preis` float(6,2) NOT NULL DEFAULT '1.00',
  `Erstellt` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`pKey`),
  UNIQUE KEY `Erstellt` (`Erstellt`),
  KEY `Index2` (`Buchungsdatum`,`Preis`),
  KEY `Buchungsgruppe` (`Buchungsgruppe`,`Buchungsdatum`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=461 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `benutzer`
--

DROP TABLE IF EXISTS `benutzer`;
CREATE TABLE IF NOT EXISTS `benutzer` (
  `pKey` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `Geschlecht` enum('Herr','Frau') COLLATE utf8_roman_ci NOT NULL DEFAULT 'Herr',
  `Name` varchar(120) COLLATE utf8_roman_ci NOT NULL,
  `Vorname` varchar(120) COLLATE utf8_roman_ci NOT NULL,
  `Zeichensatz` enum('Roman','Bengali','Chinese') COLLATE utf8_roman_ci NOT NULL,
  `Organisation` enum('I13','I20','SIT') COLLATE utf8_roman_ci NOT NULL DEFAULT 'I13',
  `eMail` varchar(60) COLLATE utf8_roman_ci DEFAULT NULL,
  `Barcode` varchar(10) COLLATE utf8_roman_ci NOT NULL,
  `Barcode_Oeffentlich` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Woechentlicher_Status` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'Y',
  `Password` varchar(40) COLLATE utf8_roman_ci DEFAULT NULL,
  `Aktiv` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'Y',
  `Kassenwart` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `LastLogin` datetime DEFAULT NULL,
  `Created` datetime NOT NULL,
  `Changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`pKey`),
  UNIQUE KEY `BU` (`Barcode`),
  UNIQUE KEY `EU` (`eMail`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=43 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `buchungen`
--

DROP TABLE IF EXISTS `buchungen`;
CREATE TABLE IF NOT EXISTS `buchungen` (
  `pKey` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Artikel_pKey` smallint(5) unsigned NOT NULL,
  `Artikel_Anzahl` float(6,2) NOT NULL DEFAULT '1.00',
  `Belasteter_pKey` smallint(5) unsigned NOT NULL,
  `Bucher_pKey` smallint(5) unsigned DEFAULT NULL,
  `Gaestetoken_pKey` smallint(6) DEFAULT NULL,
  `Kommentar` varchar(100) COLLATE utf8_roman_ci DEFAULT NULL,
  `Rechnungsnummer` int(11) DEFAULT NULL,
  `Created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`pKey`),
  UNIQUE KEY `Created` (`Created`,`Artikel_Anzahl`,`Artikel_pKey`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=14225 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `gaestetoken`
--

DROP TABLE IF EXISTS `gaestetoken`;
CREATE TABLE IF NOT EXISTS `gaestetoken` (
  `pKey` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Benutzer_pKey` smallint(5) unsigned NOT NULL,
  `Barcode` varchar(14) COLLATE utf8_roman_ci NOT NULL,
  `Gueltig_von` datetime NOT NULL,
  `Gueltig_bis` datetime NOT NULL,
  `Created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`pKey`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=8 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `gaestetoken_artikel`
--

DROP TABLE IF EXISTS `gaestetoken_artikel`;
CREATE TABLE IF NOT EXISTS `gaestetoken_artikel` (
  `Artikel_pKey` smallint(6) unsigned NOT NULL,
  `Gaestetoken_pKey` smallint(6) unsigned NOT NULL,
  PRIMARY KEY (`Artikel_pKey`,`Gaestetoken_pKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `mail_reminder`
--

DROP TABLE IF EXISTS `mail_reminder`;
CREATE TABLE IF NOT EXISTS `mail_reminder` (
  `pKey` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Betrag` float(6,2) NOT NULL DEFAULT '0.00',
  `Send_Reminder_Instantly` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'Y',
  `Send_Reminder_OnMonday` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Send_Reminder_OnTuesday` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Send_Reminder_OnWednesday` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Send_Reminder_OnThursday` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Send_Reminder_OnFriday` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Send_Reminder_OnSaturday` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Send_Reminder_OnSunday` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Text` mediumtext COLLATE utf8_roman_ci NOT NULL,
  `Aktiv` enum('Y','N') COLLATE utf8_roman_ci NOT NULL DEFAULT 'N',
  `Created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`pKey`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `organisationen`
--

DROP TABLE IF EXISTS `organisationen`;
CREATE TABLE IF NOT EXISTS `organisationen` (
  `pKey` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `Name` varchar(120) COLLATE utf8_roman_ci NOT NULL,
  `BackgroundLogo` mediumblob,
  `BackgroundFiller` blob,
  `ValidFrom` datetime NOT NULL,
  `ValidUntil` datetime DEFAULT NULL,
  `Created` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`pKey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Tabellenstruktur für Tabelle `preise`
--

DROP TABLE IF EXISTS `preise`;
CREATE TABLE IF NOT EXISTS `preise` (
  `Artikel_pKey` smallint(6) NOT NULL,
  `pKey` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `Ersteller_pKey` smallint(5) unsigned NOT NULL,
  `Gueltig_ab` datetime NOT NULL,
  `Preis` float(4,2) NOT NULL,
  PRIMARY KEY (`pKey`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_roman_ci AUTO_INCREMENT=28 ;
